NX⼆次开发-UFUN特征找体UF_MODL_ask_feat_body 1 NX11+VS2013 2 3 #include <uf.h> 4 #include <uf_modl.h> 5 6 UF_initialize();7 8//创建块 9 UF_FEATURE_SIGN Sign = UF_NULLSIGN;10double Corner_Pt[3] = {0.0, 0.0, 0.0};11char *Edge_Len[3] = {"100...
0.0,0.0};11char*Edge_Len[3] = {"100","200","100"};12tag_t BlkTag =NULL_TAG;13UF_MODL_create_block1(Sign, Corner_Pt, Edge_Len, &BlkTag);1415//特征找体16tag_t BodyTag =NULL_TAG;17UF_MODL_ask_feat_body
UF_MODL_ask_body_faces获取体的面 UF_MODL_ask_body_feats UF_MODL_ask_body_features UF_MODL_ask_body_structures UF_MODL_ask_body_type获取体的类型(实体or片体),判断体是实体还是片体 UF_MODL_ask_body_type_pref UF_MODL_ask_boolean_with_retained_options UF_MODL_ask_boss_parms UF_MODL_...
UF_MODL_create_block(Sign, NULL_TAG, Corner_pt, Edge_Len, &BlkTag); //特征找体 tag_t body_tag = NULL_TAG; UF_MODL_ask_feat_body(BlkTag, &body_tag); //创建基准面 double dP1[3] = { 0.0,0.0,0.0 }; double dDir[3] = { 0.0,1.0,0.0 }; tag_t tagPlane; UF_MODL_create...
UF_MODL_ask_mass_props_3d 一般先使用函数 UF_MODL_extract_face 提取面抽取面后再使用获得面积函数 UGopen 获得对象信息、面积体积等函数说明 对象信息、面积体积等等 UF_MODL_ask_mass_props_3d 获得面积要先抽取面才能获得。 UF_MODL_ask_feat_body (box_tag,&solbody[0]); ...
如何获得所画圆柱体的各个面UF_CALL(UF_MODL_ask_feat_faces(body_tag,&cylinder_face_list)); UF_CA
如何获得所画圆柱体的各个面UF_CALL(UF_MODL_ask_feat_faces(body_tag,&cylinder_face_list)); UF_CALL(UF_MODL_ask_list_count(cylinder_face_list,&list_count)); for(i=0;i
UF_ATTR_value_t value; char messg[133]; UF_MODL_create_sphere1(sign_sphere, center_1,diam, [$sphere_tag )] UF_MODL_ask_feat_body(sphere_tag,[$sphere_body)] value.type = UF_ATTR_string; value.value.string = "Car2TrunkTag"; UF_ATTR_assign(sphere_body, "STRING_...
22 UF_MODL_ask_feat_body(CylTag, &BodyTag);23 24//体找⾯ 25 uf_list_p_t FaceList;26 UF_MODL_ask_body_faces(BodyTag, &FaceList);27 28//获取链表数量 29int Count;30 UF_MODL_ask_list_count(FaceList, &Count);31 32 UF_UI_open_listing_window();33//获取链表...
UF_CALL(UF_MODL_ask_feat_body(feature, &block)); /* Fill out the structure to specify how the object is to be exported. See the header file for descriptions of thesefields. */ export_options.new_part = TRUE; export_options.params_mode = UF_PART_maintain_params; export_options.express...